#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#define MAX 100


int je_cislo(const char *u) {
    char *koniec;
    strtod(u, &koniec);
    return *koniec == '\0';
}

int main() {
    char riadok[MAX];
    double cislo1, cislo2, vysledok, skutocny_vysledok;
    char operacia;

    while (fgets(riadok, MAX, stdin) != NULL) {
        if (strlen(riadok) <= 1){
	       	break; 
   	}
        if (sscanf(riadok, " %lf %c %lf = %lf", &cislo1, &operacia, &cislo2, &vysledok) != 4) {
            printf("CHYBA\n");
            continue;
        }
        
        switch (operacia) {
            case '+': skutocny_vysledok = cislo1 + cislo2; break;
            case '-': skutocny_vysledok = cislo1 - cislo2; break;
            case '*': skutocny_vysledok = cislo1 * cislo2;
		      skutocny_vysledok = round(skutocny_vysledok * 100) / 100; 
		      break;
            case '/': skutocny_vysledok = cislo1 / cislo2; 
                skutocny_vysledok = round(skutocny_vysledok * 100) / 100;
				break;
            default:
                printf("CHYBA\n");
                continue;
        }
        
        if (fabs(skutocny_vysledok - vysledok) < 0.00001) {
            printf("OK\n");
        } 
	else {
            printf("ZLE\n");
        }
    }
    return 0;
}

